<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<html>
<body>
<xsl:apply-templates/> 
</body>
</html>
</xsl:template>    
<xsl:template match="knjiga">
<h2><xsl:value-of select="naslov"/></h2>
<p>by <xsl:value-of select="avtor"/></p>
<xsl:apply-templates select="koda"/> 
<xsl:apply-templates select="poglavje"/> 
</xsl:template>  
<xsl:template match="koda">
<p>ISBN: <xsl:value-of select="@isbn"/><br />medij: <xsl:value-of select="@medij"/></p>
</xsl:template>  
<xsl:template match="poglavje">
<h3><xsl:value-of select="text()"/></h3>
<xsl:apply-templates select="odstavek"/> 
</xsl:template>  
<xsl:template match="odstavek">
<p><xsl:value-of select="."/></p>
</xsl:template>  
</xsl:stylesheet>